Page MenuHomePhabricator

Productionize db2153.codfw.wmnet - db2174.codfw.wmnet
Closed, ResolvedPublic

Description

These hosts will replace db[2071-2092] that will be decommissioned (T311475)

  • db2153 to replace db2092 in s1
  • db2154 to replace db2091 in s8
  • db2155 to replace db2073 in s4 (sanitarium master)
  • db2156 to replace db2074 in s3 (sanitarium master)
  • db2157 to replace db2075 in s5
  • db2158 to replace db2076 in s6 (sanitarium master)
  • db2159 to replace db2077 in s7 (sanitarium master)
  • db2160 to replace db2078 in misc multi-instance
  • db2161 to replace db2079 in s8 as master
  • db2165 to replace db2080 in s8 as candidate master
  • db2163 to replace db2081 in s8
  • db2164 to replace db2082 in s8 (sanitarium master)
  • db2162 to replace db2083 in s8
  • db2166 to replace db2084 in s8
  • db2167 to replace db2085 multi-instance in s1 and s8
  • db2168 to replace db2086 multi-instance in s7 and s8
  • db2169 to replace db2087 multi-instance in s6 and s7
  • db2170 to replace db2088 multi-instance in s1 and s2
  • db2171 to replace db2089 multi-instance in s5 and s6
  • db2172 to replace db2090 in s4 as candidate master
  • db2173 to replace db2072 in s1 (sanitarium master)
  • db2174 to replace db2071 in s1
  • Verify all hosts are in zarcillo
  • Verify all hosts are active on netbox

Details

ProjectBranchLines +/-Subject
operations/puppetproduction+1 -0
operations/puppetproduction+0 -1
operations/puppetproduction+0 -5
operations/puppetproduction+1 -7
operations/puppetproduction+1 -0
operations/puppetproduction+1 -0
operations/puppetproduction+2 -1
operations/puppetproduction+1 -0
operations/puppetproduction+1 -1
operations/puppetproduction+1 -1
operations/puppetproduction+7 -0
operations/puppetproduction+1 -1
operations/puppetproduction+2 -0
operations/puppetproduction+0 -1
operations/puppetproduction+2 -1
operations/puppetproduction+4 -1
operations/puppetproduction+1 -1
operations/puppetproduction+7 -3
operations/puppetproduction+1 -0
operations/puppetproduction+7 -3
operations/puppetproduction+1 -0
operations/puppetproduction+1 -1
operations/puppetproduction+1 -1
operations/dnsmaster+4 -4
operations/puppetproduction+2 -0
operations/puppetproduction+0 -1
operations/puppetproduction+7 -3
operations/puppetproduction+1 -0
operations/puppetproduction+1 -1
operations/puppetproduction+0 -1
operations/puppetproduction+2 -0
operations/puppetproduction+7 -3
operations/puppetproduction+1 -0
operations/puppetproduction+2 -1
operations/puppetproduction+1 -0
operations/puppetproduction+0 -1
operations/puppetproduction+7 -3
operations/puppetproduction+1 -1
operations/puppetproduction+1 -0
operations/puppetproduction+0 -1
operations/puppetproduction+1 -0
operations/puppetproduction+1 -1
operations/puppetproduction+2 -1
operations/puppetproduction+1 -0
operations/puppetproduction+1 -1
operations/puppetproduction+1 -0
operations/puppetproduction+0 -1
operations/puppetproduction+2 -8
operations/puppetproduction+1 -0
operations/puppetproduction+0 -1
operations/puppetproduction+2 -1
operations/puppetproduction+7 -0
operations/puppetproduction+0 -1
operations/puppetproduction+1 -0
operations/puppetproduction+2 -1
operations/puppetproduction+1 -0
operations/puppetproduction+0 -1
operations/puppetproduction+12 -12
operations/puppetproduction+1 -1
operations/puppetproduction+1 -1
operations/puppetproduction+0 -1
operations/puppetproduction+0 -1
operations/puppetproduction+4 -4
operations/puppetproduction+1 -0
operations/puppetproduction+3 -1
operations/puppetproduction+1 -0
operations/puppetproduction+1 -1
operations/puppetproduction+3 -1
operations/puppetproduction+15 -5
operations/puppetproduction+2 -8
operations/puppetproduction+0 -1
operations/puppetproduction+2 -8
operations/puppetproduction+0 -1
operations/puppetproduction+1 -0
operations/puppetproduction+1 -1
operations/puppetproduction+1 -1
operations/puppetproduction+7 -0
operations/puppetproduction+1 -0
operations/puppetproduction+1 -1
operations/puppetproduction+7 -0
operations/puppetproduction+0 -2
operations/puppetproduction+1 -0
operations/puppetproduction+1 -0
operations/puppetproduction+1 -1
operations/puppetproduction+7 -0
operations/puppetproduction+2 -1
operations/puppetproduction+1 -8
operations/puppetproduction+1 -2
operations/puppetproduction+0 -1
operations/puppetproduction+0 -1
operations/puppetproduction+1 -0
operations/puppetproduction+9 -1
operations/puppetproduction+1 -0
operations/puppetproduction+1 -0
operations/puppetproduction+2 -1
operations/puppetproduction+2 -1
operations/puppetproduction+22 -0
operations/puppetproduction+22 -0
Show related patches Customize query in gerrit

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Mentioned in SAL (#wikimedia-operations) [2022-07-19T07:16:57Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Add db2167:3311 and db2167:3318 to dbctl T311493', diff saved to https://phabricator.wikimedia.org/P31389 and previous config saved to /var/cache/conftool/dbconfig/20220719-071656-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-07-19T07:18:36Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Adjust db2167:3311 and db2167:3318 weight T311493', diff saved to https://phabricator.wikimedia.org/P31390 and previous config saved to /var/cache/conftool/dbconfig/20220719-071836-marostegui.json

Change 815208 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] db2086: Disable notifications

https://gerrit.wikimedia.org/r/815208

Change 815208 merged by Marostegui:

[operations/puppet@production] db2086: Disable notifications

https://gerrit.wikimedia.org/r/815208

Change 815223 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] mariadb: Productionize db2168

https://gerrit.wikimedia.org/r/815223

Change 815223 merged by Marostegui:

[operations/puppet@production] mariadb: Productionize db2168

https://gerrit.wikimedia.org/r/815223

Change 815427 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] instances.yaml: Add db2168 to dbctl

https://gerrit.wikimedia.org/r/815427

Change 815427 merged by Marostegui:

[operations/puppet@production] instances.yaml: Add db2168 to dbctl

https://gerrit.wikimedia.org/r/815427

Mentioned in SAL (#wikimedia-operations) [2022-07-20T04:59:18Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Add db2168 to dbctl in s7 and s8 T311493', diff saved to https://phabricator.wikimedia.org/P31473 and previous config saved to /var/cache/conftool/dbconfig/20220720-045918-marostegui.json

Change 815428 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] db2168: Enable notifications

https://gerrit.wikimedia.org/r/815428

Change 815428 merged by Marostegui:

[operations/puppet@production] db2168: Enable notifications

https://gerrit.wikimedia.org/r/815428

Change 815430 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] site.pp: Remove insetup from db2167,db2168

https://gerrit.wikimedia.org/r/815430

Change 815430 merged by Marostegui:

[operations/puppet@production] site.pp: Remove insetup from db2167,db2168

https://gerrit.wikimedia.org/r/815430

Mentioned in SAL (#wikimedia-operations) [2022-07-20T05:26:34Z] <marostegui> Stop mysql on db2087 (s6 and s7) to clone db2169 T311493

Change 815516 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] db2087: Disable notifications

https://gerrit.wikimedia.org/r/815516

Change 815516 merged by Marostegui:

[operations/puppet@production] db2087: Disable notifications

https://gerrit.wikimedia.org/r/815516

Change 815677 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] mariadb: Productionize db2169

https://gerrit.wikimedia.org/r/815677

Change 815677 merged by Marostegui:

[operations/puppet@production] mariadb: Productionize db2169

https://gerrit.wikimedia.org/r/815677

db2169 (s6 and s7) now up and catching up

Change 815906 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] db2169: Enable notifications

https://gerrit.wikimedia.org/r/815906

Change 815906 merged by Marostegui:

[operations/puppet@production] db2169: Enable notifications

https://gerrit.wikimedia.org/r/815906

Change 815907 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] instances.yaml: Add db2169 to dbctl

https://gerrit.wikimedia.org/r/815907

Change 815907 merged by Marostegui:

[operations/puppet@production] instances.yaml: Add db2169 to dbctl

https://gerrit.wikimedia.org/r/815907

Mentioned in SAL (#wikimedia-operations) [2022-07-21T08:31:48Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Add db2169 to s6 and s7 T311493', diff saved to https://phabricator.wikimedia.org/P31595 and previous config saved to /var/cache/conftool/dbconfig/20220721-083147-marostegui.json

Change 815933 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/dns@master] wmnet: Replace db2160 with db2078

https://gerrit.wikimedia.org/r/815933

Change 815933 merged by Marostegui:

[operations/dns@master] wmnet: Replace db2078 with db2160

https://gerrit.wikimedia.org/r/815933

Change 816093 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] site.pp: Remove insetup from db2169

https://gerrit.wikimedia.org/r/816093

Change 816093 merged by Marostegui:

[operations/puppet@production] site.pp: Remove insetup from db2169

https://gerrit.wikimedia.org/r/816093

Change 816094 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] install_server: Do not reimage db2168,db2169

https://gerrit.wikimedia.org/r/816094

Change 816094 merged by Marostegui:

[operations/puppet@production] install_server: Do not reimage db2168,db2169

https://gerrit.wikimedia.org/r/816094

Change 817187 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] db2088: Disable notifications

https://gerrit.wikimedia.org/r/817187

Change 817187 merged by Marostegui:

[operations/puppet@production] db2088: Disable notifications

https://gerrit.wikimedia.org/r/817187

Change 817192 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] mariadb: Productionize db2170

https://gerrit.wikimedia.org/r/817192

Change 817192 merged by Marostegui:

[operations/puppet@production] mariadb: Productionize db2170

https://gerrit.wikimedia.org/r/817192

Change 817216 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] db2089: Disable notifications

https://gerrit.wikimedia.org/r/817216

Change 817216 merged by Marostegui:

[operations/puppet@production] db2089: Disable notifications

https://gerrit.wikimedia.org/r/817216

Change 817218 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] mariadb: Productionize db2171

https://gerrit.wikimedia.org/r/817218

Change 817218 merged by Marostegui:

[operations/puppet@production] mariadb: Productionize db2171

https://gerrit.wikimedia.org/r/817218

Change 817251 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] site.pp: Remove insetup from db217[0-1]

https://gerrit.wikimedia.org/r/817251

Change 817251 merged by Marostegui:

[operations/puppet@production] site.pp: Remove insetup from db217[0-1]

https://gerrit.wikimedia.org/r/817251

db2170 (s1 and s2) and db2171 (s5 and s6) are up and running.

Change 817709 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] mariadb: Productionize db2172

https://gerrit.wikimedia.org/r/817709

Change 817709 merged by Marostegui:

[operations/puppet@production] mariadb: Productionize db2172

https://gerrit.wikimedia.org/r/817709

Change 817710 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] db2170: Add it to dbctl

https://gerrit.wikimedia.org/r/817710

Change 817710 merged by Marostegui:

[operations/puppet@production] db2170: Add it to dbctl

https://gerrit.wikimedia.org/r/817710

Mentioned in SAL (#wikimedia-operations) [2022-07-27T08:00:30Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Add db2170 (s1, s2) to dbctl T311493', diff saved to https://phabricator.wikimedia.org/P31959 and previous config saved to /var/cache/conftool/dbconfig/20220727-080029-marostegui.json

Change 817711 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] db2171: Enable notifications

https://gerrit.wikimedia.org/r/817711

Change 817711 merged by Marostegui:

[operations/puppet@production] db2171: Enable notifications

https://gerrit.wikimedia.org/r/817711

Change 817715 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] instances.yaml: Add db2171 to dbctl

https://gerrit.wikimedia.org/r/817715

Change 817715 merged by Marostegui:

[operations/puppet@production] instances.yaml: Add db2171 to dbctl

https://gerrit.wikimedia.org/r/817715

Mentioned in SAL (#wikimedia-operations) [2022-07-27T08:28:17Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Add db2171 (s5, s6) to dbctl T311493', diff saved to https://phabricator.wikimedia.org/P31962 and previous config saved to /var/cache/conftool/dbconfig/20220727-082817-marostegui.json

Change 817721 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] site.pp: Remove insetup role from db2172

https://gerrit.wikimedia.org/r/817721

Change 817721 merged by Marostegui:

[operations/puppet@production] site.pp: Remove insetup role from db2172

https://gerrit.wikimedia.org/r/817721

Change 817729 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] mariadb: Productionize db2173

https://gerrit.wikimedia.org/r/817729

Change 817729 merged by Marostegui:

[operations/puppet@production] mariadb: Productionize db2173

https://gerrit.wikimedia.org/r/817729

Change 817741 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] install_server: Do not reimage db217[0-3]

https://gerrit.wikimedia.org/r/817741

Change 817741 abandoned by Marostegui:

[operations/puppet@production] install_server: Do not reimage db217[0-3]

Reason:

https://gerrit.wikimedia.org/r/817741

Change 817742 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] install_server: Do not reimage db217[0-3]

https://gerrit.wikimedia.org/r/817742

Change 817742 merged by Marostegui:

[operations/puppet@production] install_server: Do not reimage db217[0-3]

https://gerrit.wikimedia.org/r/817742

Change 817747 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] db2072: Disable notifications

https://gerrit.wikimedia.org/r/817747

Change 817747 merged by Marostegui:

[operations/puppet@production] db2072: Disable notifications

https://gerrit.wikimedia.org/r/817747

Change 817755 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] mariadb: Productionize db2174

https://gerrit.wikimedia.org/r/817755

Change 817755 merged by Marostegui:

[operations/puppet@production] mariadb: Productionize db2174

https://gerrit.wikimedia.org/r/817755

Change 818060 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] instances.yaml: Add db2172 to dbctl

https://gerrit.wikimedia.org/r/818060

Change 818060 merged by Marostegui:

[operations/puppet@production] instances.yaml: Add db2172 to dbctl

https://gerrit.wikimedia.org/r/818060

Mentioned in SAL (#wikimedia-operations) [2022-07-28T08:12:53Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Add db2172 to dbctl T311493', diff saved to https://phabricator.wikimedia.org/P32028 and previous config saved to /var/cache/conftool/dbconfig/20220728-081252-marostegui.json

Change 818115 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] instances.yaml: Add db2174 to dbctl

https://gerrit.wikimedia.org/r/818115

Change 818115 merged by Marostegui:

[operations/puppet@production] instances.yaml: Add db2174 to dbctl

https://gerrit.wikimedia.org/r/818115

Mentioned in SAL (#wikimedia-operations) [2022-07-28T12:52:55Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Add db2174 to dbctl T311493', diff saved to https://phabricator.wikimedia.org/P32043 and previous config saved to /var/cache/conftool/dbconfig/20220728-125253-marostegui.json

I have switched s1 codfw sanitarium master, db2072 is no longer the master for db2094:3311, db2173 is.

Change 818292 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] mariadb: db2072 no longer sanitarium master

https://gerrit.wikimedia.org/r/818292

Change 818292 merged by Marostegui:

[operations/puppet@production] mariadb: db2072 no longer sanitarium master

https://gerrit.wikimedia.org/r/818292

Change 818298 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] site.pp: Remove insetup from db217[3-4]

https://gerrit.wikimedia.org/r/818298

Change 818298 merged by Marostegui:

[operations/puppet@production] site.pp: Remove insetup from db217[3-4]

https://gerrit.wikimedia.org/r/818298

Change 818431 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] db2173: Enable notifications

https://gerrit.wikimedia.org/r/818431

Change 818431 merged by Marostegui:

[operations/puppet@production] db2173: Enable notifications

https://gerrit.wikimedia.org/r/818431

Change 818437 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] instances.yaml: Add db2173 to dbctl

https://gerrit.wikimedia.org/r/818437

Change 818437 merged by Marostegui:

[operations/puppet@production] instances.yaml: Add db2173 to dbctl

https://gerrit.wikimedia.org/r/818437

Mentioned in SAL (#wikimedia-operations) [2022-07-29T10:15:07Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Pool db2173 into s1 T311493', diff saved to https://phabricator.wikimedia.org/P32110 and previous config saved to /var/cache/conftool/dbconfig/20220729-101507-marostegui.json

Marostegui updated the task description. (Show Details)

All hosts in production now